<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
    lt_include( PLOG_CLASS_PATH."plugins/hostblock/class/view/adminnewblockedhostview.class.php" );

    /**
     * Shows a form to add a new globally blocked host
     */
    class AdminNewBlockedHostAction extends AdminAction
    {

    	function AdminNewBlockedHostAction( $actionInfo, $request )
        {
        	$this->AdminAction( $actionInfo, $request );

            $this->requirePermission( "manage_admin_plugins" );            
        }

        function perform()
        {
        	$this->_view = new AdminNewBlockedHostView( $this->_blogInfo );
            
            $this->setCommonData();

            return true;
        }
    }
?>
